/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#define KEYS_COUNT 6
enum Keys { K_LEFT, K_RIGHT, K_UP, K_DOWN, K_A, K_START };
enum KeyState { KS_UP = 0, KS_DOWN, KS_PRESS };

struct Input {
	int keycodes[KEYS_COUNT];
	enum KeyState keystates[KEYS_COUNT];
};

struct Input input_init(void);
void input_update(struct Input *restrict input);
