/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "particles.h"

struct Particle particles[MAX_PARTICLES];

void
particles_init(void)
{
	int i = MAX_PARTICLES;
	while (i-- > 0) {
		particles[i] = (struct Particle){
		    .x = 0,
		    .y = 0,
		    .texture = NULL,
		    .frame_width = 0,
		    .frame = 0,
		    .life_ini = 0,
		    .life = 0,
		    .looping = 0,
		};
	}
}
