/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#define GAME_NAME     "MOMENTO"
#define VERSION       "0.1.0"
#define TILE_WIDTH    16
#define TILE_HEIGHT   16
#define TILESET_WIDTH 16
#define TARGET_FPS    60
#define LVL_PER_PACK  4
#define ACC_GND       0.1
#define ACC_AIR       0.025
#define MAX_HSPD      3.0
#define FRC_GND       (ACC_GND / MAX_HSPD)
#define FRC_AIR       (ACC_AIR / MAX_HSPD)
#define AIR_RES       0.02
#define GRAVITY       0.2
#define JUMP_SPD      -4.0
#define AIR_JMP_SPD   -3.0
#define SWIM_SPD      -1.0
#define SWIM_OUT_SPD  -1.6
#define BOUNCE_SPD    -5.0
#define JUMP_BUFFER   10
#define JUMP_GRACE    6
#define AIR_JUMPS     3
#define BURST_BOOST   0.5
#define V_TRANS_SPD   (1.0 / 20.0)
#define H_TRANS_SPD   (1.0 / 20.0)
#define WATER_FLOW    16
#define WATER_FRAMES  4
/* #define RECORDING */
