/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#include "input.h"

#define MENU_ENTRIES 2

#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wunused-variable"
static const char *menu_entries[MENU_ENTRIES] = {"%c Play %c",
                                                 "%c Save & Exit %c"};
#pragma GCC diagnostic pop

struct MainMenu {
	int cursor;
};

struct MainMenu mainmenu_init(void);
/* Return 1 if game state should change. */
int mainmenu_update(struct MainMenu *restrict mainmenu, struct Input input);
void mainmenu_draw(struct MainMenu mainmenu);
