/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "level.h"
#include "tiles.h"

Tile
level_get_tile(int x, int y)
{
	if (x < 0 || y < 0 || x >= level.width || y >= level.height)
		return TILE_OOB;
	return level.data[x + y * level.width];
}
