/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "pause.h"
#include "util.h"
#include "zxcolors.h"
#include <gint/display.h>

void
pause_draw(struct Pause pause)
{
	darken_vram();
	dprint_opt(DWIDTH / 2, DHEIGHT * 1 / 2, ZX_WHITE, ZX_BLACK,
	           DTEXT_CENTER, DTEXT_MIDDLE, "GAME PAUSED");
}
