/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "transition.h"

void
transition_draw(struct Transition transition)
{
	switch (transition.mode) {
	case TransitionNone:
		break;
	case TransitionHIn:
		hfade_in(transition.step, transition.color);
		break;
	case TransitionHOut:
		hfade_out(transition.step, transition.color);
		break;
	case TransitionVIn:
		vfade_in(transition.step, transition.color);
		break;
	case TransitionVOut:
		vfade_out(transition.step, transition.color);
		break;
	default:
		break;
	}
}
