/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "transition.h"

enum TransitionMode
transition_update(struct Transition *restrict transition)
{
	enum TransitionMode previous_transition_mode = TransitionNone;

	if (transition->mode == TransitionNone)
		return TransitionNone;

	transition->step += transition->speed;
	if (transition->step >= 1.0) {
		previous_transition_mode = transition->mode;
		transition->mode = TransitionNone;
	}

	return previous_transition_mode;
}
